golay(1)

NAME
golay - http://osmocom-analog.eversberg.eu/docs/

SYNOPSIS
golay -k <kanal/channel> | -k 462.900 | -k <MHz> [options] [station_id]

  Global options:

-h --help

    This help

--config [~/]<path to config file>

    Give a config file to use. If it starts with '~/', path is at home dir. Each line in config file is one option, '-' or '--' must not be given! Default: '~/.osmocom/analog/golay.conf'

--no-config

    Even if a config file exists, don't use it.

-v --verbose <level> | <level>,<category>[,<category>[,...]] | list

    Use 'list' to get a list of all levels and categories. Verbose level: digit of debug level (default = '3') Verbose level+category: level digit followed by one or more categories -> If no category is specified, all categories are selected

-v --verbose date

    Show date with debug output

-k --kanal <channel>

-k --channel <channel>

    Channel (German = Kanal) number of "Sender" (German = Transceiver)

-a --audio-device hw:<card>,<device>[/hw:<card>.<rec-device>]

    Sound card and device number (default = 'hw:0,0') You may specify a different recording device by using '/'. Don't set it for SDR!

-s --samplerate <rate>

    Sample rate of sound device (default = '48000')

-i --interval 0.1..25

    Interval of processing loop in ms (default = '1.0' ms) Use 10 to drastically reduce CPU usage. In case of buffer underrun, increase buffer accordingly.

-b --buffer <ms>

    How many milliseconds are processed in advance (default = '50') A buffer below 10 ms requires low interval like 0.1 ms.

--rx-gain <dB>

    Raise/lower receiver's RX level by given gain in dB. (Works with sound card only.)

--tx-gain <dB>

    Raise/lower transmitters's RX level by given gain in dB. (Works with sound card only.)

-e --echo-test

    Use echo test, to send back audio from mobile phone's microphone to the speaker. (German: 'Blasprobe').

-c --call-device hw:<card>,<device>[/hw:<card>.<rec-device>]

    Sound card and device number for headset (default = '') You may specify a different recording device by using '/'.

--call-samplerate <rate>

    Sample rate of sound device for headset (default = '48000')

--call-buffer <ms>

    How many milliseconds are processed in advance (default = '50')

-x --osmocc-cross

    Enable built-in call forwarding between mobiles. Be sure to have at least one control channel and two voice channels. Alternatively use one combined control+voice channel and one voice channels.

-o --osmocc-sock

    Disable built-in call control and offer socket

--cc "<osmo-cc arg>" [--cc ...]

    Pass arguments to Osmo-CC endpoint. Use '-cc help' for description.

--no-l16

    Disable L16 (linear 16 bit) codec.

-t --tones 0 | 1

    Connect call on setup/release to provide classic tones towards fixed network (default = '1')

-l --loopback <type>

    Loopback test: 1 = internal | 2 = external | 3 = echo

-r --realtime <prio>

    Set prio: 0 to disable, 99 for maximum (default = 0)

--fast-math

    Use fast math approximation for slow CPU / ARM based systems.

--write-rx-wave <file>

    Write received audio to given wave file.

--write-tx-wave <file>

    Write transmitted audio to given wave file.

--read-rx-wave <file>

    Replace received audio by given wave file.

--read-tx-wave <file>

    Replace transmitted audio by given wave file.

--limesdr

    Auto-select several required options for LimeSDR

--limesdr-mini

    Auto-select several required options for LimeSDR Mini

  SDR options:

--sdr-soapy

    Force SoapySDR driver

--sdr-channel <channel #>

    Give channel number for multi channel SDR device (default = 0)

--sdr-device-args <args>

--sdr-stream-args <args>

--sdr-tune-args <args>

    Optional SDR device arguments, separated by comma e.g. --sdr-device-args <key>=<value>[,<key>=<value>[,...]]

--sdr-samplerate <samplerate>

    Sample rate to use with SDR. By default it equals the regular sample rate.

--sdr-lo-offset <Hz>

    Give frequency offset in Hz to move the local oscillator away from the target frequency. (default = -1000000)

--sdr-bandwidth <bandwidth>

    Give IF filter bandwidth to use. If not, sample rate is used.

--sdr-rx-antenna <name>

    SDR device's RX antenna name, use 'list' to get a list

--sdr-tx-antenna <name>

    SDR device's TX antenna name, use 'list' to get a list

--sdr-clock-source <name>

    SDR device's clock sourc name, use 'list' to get a list

--sdr-rx-gain <gain>

    SDR device's RX gain in dB (default = 0.0)

--sdr-tx-gain <gain>

    SDR device's TX gain in dB (default = 0.0)

--write-iq-rx-wave <file>

    Write received IQ data to given wave file.

--write-iq-tx-wave <file>

    Write transmitted IQ data to given wave file.

--read-iq-rx-wave <file>

    Replace received IQ data by given wave file.

--read-iq-tx-wave <file>

    Replace transmitted IQ data by given wave file.

--sdr-swap-links

    Swap RX and TX frequencies for loopback tests over the air.

--sdr-timestamps 1 | 0

    Use TX timestamps on UHD device. (default = 1)

  Network specific options:

-T --tx

    Transmit GSC signal on given channel, to page a receiver. (default)

-R --rx

    Receive GSC signal on given channel, so we are the receiver. If none of the options -T nor -R is given, only transmitter is enabled.

-D --deviation wide | 4.5 | narrow | 1.0 | <other KHz>

    Choose deviation of FFSK signal (default 4 KHz).

-P --polarity -1 | nagative | 1 | positive

    Choose polarity of FFSK signal. 'positive' means that a binary 1 uses positive and a binary 0 negative deviation. (default positive KHz).

-M --message "..."

    Send this message, if no caller ID was given or if built-in console is used. (default "1234").

File: /tmp/golay_msg_send

    Write "<address>[,message]" to it, to send a default message. Write "<address>,n,message" to it, to send a numeric message. Write "<address>,a,message" to it, to send an alphanumeric message. Write "<address>,v,<wave file name>" to it, to send a voice message.

By default, an alphanumic message is sent, if last digit of the functional address is 5..8. Otherwise a tone only message is sent.

A numeric message can have up to 24 digits, they are: 0123456789U-* and space Also 'shifted' digits can be sent using two digits, they are: ABCDEFGHJLNPR

An aplhanumeric message can have up to 80 digits, sent upper case only.

station_id: Give 7 digits of station ID,

    so you don't need to enter it for every start of this application. Give 7 digits for functional address.

Press digits '0'..'9' and then 'd' key to dial towards mobile station. Press 'h' key to hangup. Press 'w' key to toggle display of RX wave form. Press 'c' key to toggle display of channel status. Press 'm' key to toggle display of measurement value. Press 'q' key to toggle display of RX I/Q vector. Press 's' key to toggle display of RX spectrum. Press 'b' key to remove DC level.